<?php

class actionForumDeletpost extends cmsAction {
	public function run($id=false){
		if (!$id) { cmsCore::error404(); }
		$post = $this->model->getPost($id);
		if (!$post) { cmsCore::error404(); }
		$user = cmsUser::getInstance();
		$forum = $this->model->getItemForum($post['forum_id']);
		
        if (!cmsUser::isAdmin()) { cmsCore::error404(); }
		$this->model->deletPost($id);
		$this->model->updateForum($post['forum_id'], array('post_count'=>$forum['post_count'] - 1,'msg_count'=>$forum['msg_count'] - $post['msg_count'] - 1));
		$this->redirect('/forum/'.$post['forum_id']);
 	}
}