<?php

class actionForumDeletposts extends cmsAction {
	public function run($id=false){
		if (!$id) { cmsCore::error404(); }
		$posts = $this->model->getPostsId($id);
		if (!$posts) { cmsCore::error404(); }
		$user = cmsUser::getInstance();
		$post = $this->model->getPost($posts['post_id']);
		$forum = $this->model->getItemForum($post['forum_id']);
		
        if (!cmsUser::isAdmin()) { cmsCore::error404(); }
		$this->model->deletPosts($id);
		$this->model->updateForum($post['forum_id'], array('msg_count'=>$forum['msg_count'] - 1));
		$postmax = $this->model->getPostMax($posts['post_id']);
        $this->model->updatePost($posts['post_id'], array('msg_count'=>$post['msg_count'] - 1,'last_msg'=>$postmax['id']));
		$this->model->filterLtEqual('i.id', $id);
        $total = $this->model->getPostsCount($posts['post_id']);		
	    $perpage = $this->options['pperpage'];
        $pages = ceil($total / $perpage);
		$redurl='';
		 if($pages>1){$redurl='?page='.$pages;}
		$this->redirect('/forum/threads/'.$posts['post_id'].$redurl);
 	}
}