<?php

class actionForumEditposts extends cmsAction {
	
	public function run($id=false){
		if (!$id) { cmsCore::error404(); }
		$posts = $this->model->getPostsId($id);
		if (!$posts) { cmsCore::error404(); }
		$user = cmsUser::getInstance();
		$post = $this->model->getPost($posts['post_id']);
		$forum = $this->model->getItemForum($post['forum_id']);
		$posts['closed']=$post['closed'];

		if( !$user->is_admin ){cmsCore::error404();}
		$errors = false;
		$form = $this->getForm('editposts', array($this->options, true));
		$is_submitted = $this->request->has('submit');	
		if ($is_submitted){
				$fpost = $form->parse($this->request, $is_submitted);			
			    $errors = $form->validate($this, $fpost);	
			if (!$errors){
                     $itemsp['content'] = cmsEventsManager::hook('html_filter', $fpost['content']);
					 $itemsp['file'] = ' ';
					 if(isset($fpost['file'])){$itemsp['file'] = $fpost['file']; }
					 $this->model->updatePost($posts['post_id'], array('closed' =>$fpost['closed']));
					 
					$this->model->updatePosts($id, $itemsp);
					$this->model->filterLtEqual('i.id', $id);
		            $total = $this->model->getPostsCount($posts['post_id']);		
				    $perpage = $this->options['pperpage'];
		             $pages = ceil($total / $perpage);
					 $redurl='';
					 if($pages>1){$redurl='?page='.$pages;}
					 $this->redirect('/forum/threads/'.$posts['post_id'].$redurl.'#pid-'.$id);
 				}
			if ($errors){
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
			}
		}
		$template = cmsTemplate::getInstance();
		$template->render('editposts', array(
			'form' => $form,
			'errors' => $errors,
			'posts' => $posts,
			'post' => $post,
			'forum' => $forum
			));
		
	}
	
}