<?php

class actionForumThreads extends cmsAction {
	
	public function run($id = false){
	    if (!$id) { cmsCore::error404(); }
		$page = $this->request->get('page', 1);		
	    $perpage = $this->options['pperpage'];
		$user = cmsUser::getInstance();		
		$post = $this->model->getPost($id);
	    if (!$post) { cmsCore::error404(); }
		$total = $this->model->getPostsCount($id);		
		$this->model->limitPage($page, $perpage);				
		$posts = $this->model->getPosts($id, $this->options['signature']);
		$postmin = $this->model->getPostMin($id);
		$forum = $this->model->getItemForum($post['forum_id']);
		if($post['user_id'] != $user->id){
            $this->model->updatePost($id, array('hits'=>$post['hits'] + 1));
		}
		$moder = false;
		if($user->is_admin || $post['user_id'] == $user->id){$moder = true;}
		$errors = false;
		$form = $this->getForm('addposts', array($this->options, $moder));
		$is_submitted = $this->request->has('submit');
		$fpost = $form->parse($this->request, $is_submitted);
		if ($is_submitted){
			$errors = $form->validate($this, $fpost);
			if ($errors){
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
			}
			if (!$errors){
			         $itemsp['user_id'] = $user->id;
					 $itemsp['content'] = cmsEventsManager::hook('html_filter', $fpost['content']); 
					 if(isset($fpost['file'])){$itemsp['file'] = $fpost['file']; }
					 $itemsp['pubdate'] = date('Y-m-d H:i');
         			 $itemsp['post_id'] = $id;
					 $p_idadd = $this->model->addPosts($itemsp);
					 $this->model->updateForum($post['forum_id'], array('msg_count'=>$forum['msg_count'] + 1));
					 $clos = 0;
					 if(isset($fpost['closed'])){$clos = 1;}
                     $this->model->updatePost($id, array('closed' => $clos, 'msg_count'=>$post['msg_count'] + 1,'last_msg'=>$p_idadd));
                     $pages = ceil(($total +1) / $perpage);
					 $redurl='';
					 if($pages>1){$redurl='?page='.$pages;}
					 $this->redirect('/forum/threads/'.$id.$redurl.'#pid-'.$p_idadd);
 			    }
		    }
		
		
		
		$template = cmsTemplate::getInstance();
        $template->render('threads', array(
			'pos' => $post,		
			'postmin' => $postmin,		
			'posts' => $posts,			
			'forum' => $forum,
			'is_admin' => $user->is_admin,
			'form' => $form,
			'form' => $form,
            'total' => $total,
			'page' => $page,
			'perpage' => $perpage,			
			'errors' => $errors			
		));	
	}
}