<?php

class actionForumEditcats extends cmsAction {

    public function run($id = false){
	    if (!$id) { cmsCore::error404(); }
        $forum_model = cmsCore::getModel('forum');
        $cat = $forum_model -> getItemCat($id);
	    if (!$cat) { cmsCore::error404(); }
        $form = $this->getForm('addcats');
        $is_submitted = $this->request->has('submit');
        if ($is_submitted){
            $field = $form->parse($this->request, $is_submitted);
			$errors = $form->validate($this, $field);
			$cat = $field;
				if(!$errors){
                   $forum_model -> updateCat($id, $field);
                   $this->redirectToAction('cats');
                }
				if ($errors){
				     cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
			    }
        }
        return cmsTemplate::getInstance()->render('backend/editcats', array(
            'cat' => $cat,
            'form' => $form,
            'errors' => isset($errors) ? $errors : false,
        ));

    }

}
