<?php

class actionForumEditforums extends cmsAction {

    public function run($id = false){
	    if (!$id) { cmsCore::error404(); }
        $forum_model = cmsCore::getModel('forum');
        $forum = $forum_model -> getItemForum($id);
	    if (!$forum) { cmsCore::error404(); }
        $form = $this->getForm('addforums');
        $is_submitted = $this->request->has('submit');
        if ($is_submitted){
            $field = $form->parse($this->request, $is_submitted);
		    $errors = $form->validate($this, $field);
			$forum = $field;
				if(!$errors){
                   if(!$field['icon']){$field['icon']=' ';}
                   $field_id = $forum_model -> updateForum($id, $field);
                   $this->redirectToAction('forums');
                }
				if ($errors){
				     cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
			    }
				
        }
        return cmsTemplate::getInstance()->render('backend/editforums', array(
            'forum' => $forum,
            'form' => $form,
            'errors' => isset($errors) ? $errors : false
			));

    }

}
