<?php

class formForumAddforums extends cmsForm {
	
	public function init(){
		return array(
			array(
				'type' => 'fieldset',
				'childs' => array(
					new fieldString('title', array(
						'title' => LANG_FORUM_FORUMS_NAME,
						'rules' => array(
							array('required'),
							array('max_length', 100),
							array('min_length', 3)
						)
					)),
					new fieldText('description', array(
	                'title' => LANG_FORUM_FORUMS_DESCRIPTION,
					)),
					new fieldCheckbox('private', array(
                        'title' => "Только для администраторов",
                    )),
					new fieldList('cat_id', array(
					    'title' => LANG_FORUM_CATS,
						'rules' => array(
					        array('required')
							),
                        'generator' => function($item) {
                            $forum_model = cmsCore::getModel('forum');
                            $cats = $forum_model->getCat();
							$items = array();
                            if ($cats) {
                                foreach ($cats as $item) {
                                    $items[$item['id']] = $item['name'];
                                }
                            }
                            return $items;
                        }
                    )),
					new fieldImage('icon', array(
						'title' => LANG_FORUM_ICON,
						'options' => array(
						'sizes' => array('micro', 'small')
						)
					)),
				)
			)
		);		
	}	
}