<?php

class formForumOptions extends cmsForm {
	
	public function init(){
		$max_size = files_convert_bytes(ini_get('post_max_size')) / 1048576;

		return array(
		
			array(
				'type' => 'fieldset',
				'childs' => array(
					new fieldString('forumtitle', array(
                        'title' => LANG_FORUM_TITLE,
                    )),
					new fieldNumber('perpage', array(
						'title' => LANG_FORUM_COUNTFORUM,
						'default' => 10
					)), 
					new fieldNumber('pperpage', array(
						'title' => LANG_FORUM_COUNTPOSTS,
						'default' => 10
					)),
					new fieldString('signature', array(
                        'title' => 'Поле профиля пользователя для подписи',
                    )),
					new fieldList('editor', array(
                        'title' => LANG_FORUM_EDITOR,
                        'default' => 'redactor',
                        'generator' => function($item){
                            $items = array();
                            $editors = cmsCore::getWysiwygs();
                            foreach($editors as $editor){ $items[$editor] = $editor; }
                            return $items;
                        }
                    )),
					new fieldCheckbox('is_file', array(
                        'title' => LANG_FORUM_IS_FILE,
                    )),
					new fieldString('extensions', array(
                        'title' => LANG_PARSER_FILE_EXTS,
                        'hint' => LANG_PARSER_FILE_EXTS_HINT
                    )),
                    new fieldNumber('max_size_mb', array(
                        'title' => LANG_PARSER_FILE_MAX_SIZE,
                        'hint' => sprintf(LANG_PARSER_FILE_MAX_SIZE_PHP, $max_size)
                    )),
				)
				
			)
			
		);
		
	}
	
}
