<?php
class widgetForumList extends cmsWidget {

    public function run(){

        $show_avatars = $this->getOption('show_avatars', true);
        $show_text    = $this->getOption('show_text', false);
        $limit        = $this->getOption('limit', 10);

        $model = cmsCore::getModel('forum');

        $model->orderBy('pubdate', 'desc');

       /*  if (!cmsUser::isAllowed('forum', 'view_all')) {
            $model->filterEqual('is_private', 0);
        } */
		
        $posts = $model->
                    limit($limit)->
                    getAllPosts();

        if (!$posts) { return false; }

        $posts = cmsEventsManager::hook('forum_before_list', $posts);

        return array(
            'show_avatars' => $show_avatars,
            'show_text'    => $show_text,
            'posts'        => $posts
        );
		

    }

}