<?php
	$this->setPageTitle($forum['title']);
    $this->setPageDescription($forum['description']);	
	$this->addBreadcrumb(LANG_FORUM_CONTROLLER, $this->href_to(''));
	$this->addBreadcrumb($forum['title']);
	$user = cmsUser::getInstance();
?>
<div class="titleBar">
<div class="titleBar">
<script type="text/javascript" src="//yastatic.net/es5-shims/0.0.2/es5-shims.min.js" charset="utf-8"></script>
<script type="text/javascript" src="//yastatic.net/share2/share.js" charset="utf-8"></script>
<div style="float: right;" class="ya-share2" data-services="vkontakte,facebook,odnoklassniki,moimir,gplus,twitter,viber,whatsapp" data-size="s">
</div>

<h5><?php echo $forum['title'];?></h5>
<p id="pageDescription"><?php echo $forum['description'];?></p>
</div>	
<?php if($user->id){?>
<div class="pageNavLinkGroup">	
	<div class="linkGroup">
	   <label for="LoginControl">
	      <a href="<?php echo $this->href_to('addpost/'.$forum['id']); ?>" class="concealed element"><?php echo LANG_FORUM_ADD; ?></a>
	   </label>
	</div>
</div>	
<?php } ?>

<div class="discussionList section sectionMain">
	
	<ol class="discussionListItems">
	<?php if($posts){
   	foreach ($posts as $post) { ?>
      <li id="thread-6" class="discussionListItem visible  " data-author="Kavrasky">
	  <div class="listBlock posterAvatar">
		<span class="avatarContainer">
			<a href="<?php echo href_to('users', $post['user_id']); ?>" class="avatar">
            <?php echo html_avatar_image($post['user_avatar'], 'micro');?>                         
			</a>
		</span>
	</div>
	<div class="listBlock main">
		<div class="titleText">
			<h3 class="title">	
				<a href="<?php echo $this->href_to('threads', $post['id']); ?>" title="" class="PreviewTooltip" ><?php echo $post['title']; ?></a>
			</h3>
			<div class="secondRow">
				<div class="posterDate muted">
					<a href="<?php echo href_to('users', $post['user_id']); ?>" class="username" title="Автор темы"><?php echo $post['user_nickname']; ?></a>
					<span class="startDate">,
					<a class="faint"><span class="DateTime" title=""><?php echo $post['dates']; ?></span></a></span>
				</div>
			</div>
		</div>
	</div>
	<div class="listBlock stats pairsJustified">
		<dl class="major"><dt>Ответов:</dt> <dd><?php echo $post['msg_count']; ?></dd></dl>
		<dl class="minor"><dt>Просмотров:</dt> <dd><?php echo $post['hits']; ?></dd></dl>
	</div>
	<div class="listBlock lastPost">
			<dl class="lastPostInfo">
		     <?php if($post['last_msg']){
			  $pages = ceil(($post['msg_count'] + 1)/ $this->controller->options['pperpage']);
			  $redurl='';
		     if($pages>1){$redurl='?page='.$pages;}
			 ?>
				<dt><a href="<?php echo $this->href_to('threads', $post['id'].$redurl.'#pid-'.$post['pid']); ?>" class="username"><?php echo $post['p_nickname']; ?></a></dt>
				<dd class="muted"><a class="dateTime">
				 <span class="DateTime" ><?php echo $post['pdates']; ?></span></a></dd>
             <?php } ?>
			</dl>
	   </div>
     </li>
<?php }} ?>
	</ol>
	<?php if($total > $perpage) { ?>
	<?php echo html_pagebar($page, $perpage, $total); ?>	
<?php } ?>
</div>
