<?php if ($posts){ ?>

    <div class="widget_comments_list">
        <?php foreach($posts as $post) { ?>

            <?php $author_url = href_to('users', $post['user_id']); ?>
            <?php $target_url = href_to("forum/threads/{$post['post_id']}#pid-{$post['id']}"); ?>

            <div class="item">
                <?php if ($show_avatars){ ?>
                <div class="image">
                    <a href="<?php echo $author_url; ?>"><?php echo html_avatar_image($post['u_avatar'], 'micro', $post['user_nickname']); ?></a>
                </div>
                <?php } ?>
                <div class="info">
                    <div class="title">
                        <?php if ($post['user_id']) { ?>
                            <a class="author" href="<?php echo $author_url; ?>"><?php html($post['user_nickname']); ?></a>
                        <?php } else { ?>
                            <span class="author"><?php echo $post['author_name']; ?></span>
                        <?php } ?>
                        &rarr;
                        <a class="subject" href="<?php echo $target_url; ?>"><?php echo html_strip($post['title'], 50),'</br>'; ?></a>
                        <span class="date">
                            <?php echo string_date_age_max($post['pubdate'], true); ?>
                        </span>
                        
                    </div>
                    <?php if ($show_text) { ?>
                        <div class="text">
                            <?php echo html_clean($post['content'], 50); ?>
                        </div>
                    <?php } ?>
                </div>
            </div>

        <?php } ?>
    </div>

<?php } ?>