INSERT INTO `{#}controllers` (`title`, `name`, `is_enabled`, `options`, `author`, `url`, `version`, `is_backend`) VALUES
('Форум', 'forum', 1, Null, 'Oleg', 'http://site-stroi.ru', '1.0', 1);

INSERT INTO `{#}widgets_pages` (`controller`, `name`, `title_const`, `title_subject`, `title`, `url_mask`, `url_mask_not`) VALUES
('forum', 'forums', NULL, NULL, 'Все страницы', 'forum\nforum/*', NULL),
('forum', 'forum', NULL, NULL, 'Главная страница форума', 'forum', NULL),
('forum', 'posts', NULL, NULL, 'Посты форума', 'forum/%*', NULL),
('forum', 'post', NULL, NULL, 'Просмотр поста форума', 'forum/threads/*', NULL);

INSERT INTO `{#}widgets` (`controller`, `name`, `title`, `author`, `url`, `version`) VALUES ('forum', 'list', 'Форум', 'Олег', 'http://book-script.ru/', '1.0');

CREATE TABLE IF NOT EXISTS `{#}forum` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cat_id` INT NOT NULL ,
  `title` VARCHAR( 200 ) NOT NULL,  
  `description` text NOT NULL,
  `published` tinyint(1) NOT NULL ,
  `icon` VARCHAR( 200 ) NOT NULL,
  `msg_count` INT(11) NOT NULL ,
  `post_count` INT(11) NOT NULL ,
  `last_msg` INT(11) NOT NULL ,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `{#}forum_post` (
   `id` INT(11) NOT NULL AUTO_INCREMENT,
   `user_id` INT(11) NOT NULL ,
   `forum_id` INT(11) NOT NULL ,
   `cat_id` INT(11) NOT NULL ,
   `title` VARCHAR( 200 ) NOT NULL,  
   `description` text NOT NULL,   
   `last_msg` INT(11) NOT NULL ,   
   `pubdate` DATETIME NOT NULL,
   `hits` INT(11) NOT NULL,
   `closed` tinyint(1) NOT NULL,
   `msg_count` INT(11) NOT NULL ,
   `content` text NOT NULL,
   `file` VARCHAR( 200 ) NOT NULL,     
PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `{#}forum_posts` (
   `id` INT(11) NOT NULL AUTO_INCREMENT,
   `user_id` INT(11) NOT NULL ,
   `post_id` INT(11) NOT NULL ,      
   `pubdate` DATETIME NOT NULL,
   `content` text NOT NULL,
   `file` VARCHAR( 200 ) NOT NULL,     
PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `{#}forum_cats` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` VARCHAR( 200 ) NOT NULL,
  `description` text NOT NULL,
  `for_admin` INT(11) NULL ,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `{#}forum_moderator` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `forum_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
