<?php

class actionForumAddpost extends cmsAction {
	
	public function run($id = false){
		if (!$id) { cmsCore::error404(); }
		$forum = $this->model->getItemForum($id);	
		if (!$forum) { cmsCore::error404(); }		
		$user = cmsUser::getInstance();
		if (!$user->id){ cmsCore::error404(); }
		$errors = false;
		$form = $this->getForm('addpost', array($this->options));
		$is_submitted = $this->request->has('submit');
		$post = $form->parse($this->request, $is_submitted);
		if ($is_submitted){
			$errors = $form->validate($this, $post);
			if ($errors){
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
			}
			if (!$errors){
	                 $forms['cat_id'] = $forum['cat_id'];						  
	                 $forms['forum_id'] = $id;
					 $forms['user_id'] = $user->id;
					 $forms['title'] = $post['title'];					 
					 $forms['description'] = $post['description']; 
					 $forms['content'] = $post['content']; 
					 if(isset($post['file'])){$forms['file'] = $post['file']; }
					 $forms['pubdate'] = date('Y-m-d H:i');
					 $itemsp['user_id'] = $user->id;
					 $itemsp['content'] = $post['content']; 
					 if(isset($post['file'])){$itemsp['file'] = $post['file']; }
					 $itemsp['pubdate'] = date('Y-m-d H:i');
					 
				     $postid = $this->model->addPost($forms);
					 $itemsp['post_id'] = $postid;
					 $this->model->addPosts($itemsp);
					 $this->model->updateForum($id, array('post_count'=>$forum['post_count'] + 1,'msg_count'=>$forum['msg_count'] + 1));
				     $this->redirectToAction('threads', array($postid));
			    }
		    }
		
		$template = cmsTemplate::getInstance();
		
		$template->render('addpost', array(
			'forum' => $forum,
			'form' => $form,
			'errors' => $errors,
			'post' => $post
		));
		
	}
	
}