<?php

class actionForumEditpost extends cmsAction {
	
	public function run($id=false){
		if (!$id) { cmsCore::error404(); }
		$posts = $this->model->getPostsId($id);
		if (!$posts) { cmsCore::error404(); }
		$user = cmsUser::getInstance();
		$post = $this->model->getPost($posts['post_id']);
		$forum = $this->model->getItemForum($post['forum_id']);
		

		if( !$user->is_admin ){cmsCore::error404();}
		$errors = false;
		$form = $this->getForm('editpost', array($this->options));
		$is_submitted = $this->request->has('submit');	
		if ($is_submitted){
				$fpost = $form->parse($this->request, $is_submitted);			
			    $errors = $form->validate($this, $fpost);	
			if (!$errors){
                     $itemsp['content'] = $fpost['content']; 
					 $itemsp['file'] = ' ';
					 if($fpost['file']){$itemsp['file'] = $fpost['file']; }
					 if($fpost['closed']){$this->model->updatePost($posts['post_id'], array('closed' => 1));}
					 $forms['title'] = $fpost['title'];					 
					 $forms['description'] = $fpost['description']; 
					 $forms['content'] = cmsEventsManager::hook('html_filter', $fpost['content']);
					 $forms['file'] = ' ';
					 if($fpost['file']){$forms['file'] = $fpost['file']; }
					$this->model->updatePost($posts['post_id'], $forms);
					$this->model->updatePosts($id, $itemsp);
					 $this->redirect('/forum/threads/'.$posts['post_id']);
 				}
			if ($errors){
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
			}
		}
		$template = cmsTemplate::getInstance();
		$template->render('editpost', array(
			'form' => $form,
			'errors' => $errors,
			'posts' => $posts,
			'post' => $post,
			'forum' => $forum
			));
		
	}
	
}