<?php

class actionForumForums extends cmsAction {
	
	public function run($id = false){
		if (!$id) { cmsCore::error404(); }
		$user = cmsUser::getInstance();	
		$forum = $this->model->getItemForum($id);
		$page = $this->request->get('page', 1);		
	    $perpage = $this->options['perpage'];
		if (!$forum) { cmsCore::error404(); }	
		$total = $this->model->getForumsPostCount($id);	
		$this->model->limitPage($page, $perpage);				
		$posts = $this->model->getForumsPost($id);
		$template = cmsTemplate::getInstance();
		$template->render('forums', array(
			'posts' => $posts,
			'forum' => $forum,
            'total' => $total,
			'page' => $page,
			'perpage' => $perpage			
		));
	}
}