<?php

class actionForumCats extends cmsAction {

    public function run(){
        $forum_model = cmsCore::getModel('forum');
        $field = array();
        $form = $this->getForm('addcats');
        $is_submitted = $this->request->has('submit');
        if ($is_submitted){
            $field = $form->parse($this->request, $is_submitted);
                // сохраняем категорию
				if($field['name']){
                   $field_id = $forum_model -> addCat($field);
                   if ($field_id){ cmsUser::addSessionMessage(sprintf(LANG_CP_FIELD_CREATED, $field['title']), 'success'); }
                   $this->redirectToAction('cats');
                }
        }
        return cmsTemplate::getInstance()->render('backend/cats', array(
            'do' => 'add',
            'field' => $field,
            'form' => $form,
            'errors' => isset($errors) ? $errors : false,
			'cats'  => $forum_model -> getCat()
        ));

    }

}
